%global momorel 2

Name:           perl-Rose-DB-Object
Version:        0.789
Release:        %{momorel}m%{?dist}
Summary:        Extensible, high performance object-relational mapper (ORM)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Rose-DB-Object/
Source0:	http://www.cpan.org/authors/id/J/JS/JSIRACUSA/Rose-DB-Object-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006000
BuildRequires:  perl-Bit-Vector
BuildRequires:  perl-Clone >= 0.29
BuildRequires:  perl-DateTime
BuildRequires:  perl-DBI >= 1.40
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-List-MoreUtils
BuildRequires:  perl-Rose-DateTime >= 0.532
BuildRequires:  perl-Rose-DB >= 0.748
BuildRequires:  perl-Rose-Object >= 0.854
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-Time-Clock
Requires:       perl-Bit-Vector
Requires:       perl-Clone >= 0.29
Requires:       perl-DateTime
Requires:       perl-DBI >= 1.40
Requires:       perl-List-MoreUtils
Requires:       perl-Rose-DateTime >= 0.532
Requires:       perl-Rose-DB >= 0.748
Requires:       perl-Rose-Object >= 0.854
Requires:       perl-Test-Simple
Requires:       perl-Time-Clock
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Rose::DB::Object is a base class for objects that encapsulate a single row
in a database table. Rose::DB::Object-derived objects are sometimes simply
called "Rose::DB::Object objects" in this documentation for the sake of
brevity, but be assured that derivation is the only reasonable way to use
this class.

%prep
%setup -q -n Rose-DB-Object-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

#%check
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/Rose/DB/Object*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.789-2m)
- full rebuild for mo7 release

* Thu Jun 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.789-1m)
- update to 0.789

* Sun May 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.788-1m)
- update to 0.788

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.787-2m)
- rebuild against perl-5.12.1

* Wed Apr 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.787-1m)
- update to 0.787

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.786-2m)
- rebuild against perl-5.12.0

* Mon Jan 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.786-1m)
- update to 0.786

* Fri Jan  1 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.785-1m)
- update to 0.785

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.784-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Oct 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.784-1m)
- update to 0.784

* Fri Sep 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.783-1)
- update to 0.783

* Wed Aug 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.782-3m)
- expand BuildRequires

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.782-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.782-1m)
- update to 0.782

* Tue Jun  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.781-3m)
- remove duplicate directories

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.781-2m)
- modify BuildRequires

* Sat May 30 2009 Nakamura Hirotaka<h_nakamura@momonga-linux.org>
- (0.781-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
